<?php

/**
 * Vvveb
 *
 * Copyright (C) 2022  Ziadin Givan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

/*
Name: Remove google fonts
Slug: remove-google-fonts
Category: tools
Url: https://www.vvveb.com
Description: Remove google fonts from page builder fonts list
Author: givanz
Version: 0.1
Thumb: remove-google-fonts.svg
Author url: https://www.vvveb.com
*/

use Vvveb\System\Event;

if (! defined('V_VERSION')) {
	die('Invalid request!');
}

class RemoveGoogleFonts {
	function admin() {
		Event::on('Vvveb\System\Core\View', 'compile:after', __CLASS__, function ($template, $htmlFile, $tplFile, $vTpl, $view) {
			
			//remove google fonts js from page builder
			if ($template == 'editor/editor.html') {
				$vTpl->addCommand('#plugin-google-fonts|delete');
			}

			return [$template, $htmlFile, $tplFile, $vTpl, $view];
		});
	}

	function app() {
		
		Event::on('Vvveb\System\Core\View', 'compile:after', __CLASS__, function ($template, $htmlFile, $tplFile, $vTpl, $view) {
			//remove google fonts links from page
			$vTpl->addCommand('link[href*="googleapi"]|delete');
			$vTpl->addCommand('link[href*="gstatic"]|delete');

			return [$template, $htmlFile, $tplFile, $vTpl, $view];
		});
	}

	function __construct() {
		if (APP == 'admin') {
			$this->admin();
		} else {
			if (APP == 'app') {
				$this->app();
			}
		}
	}
}

$removeGoogleFonts = new RemoveGoogleFonts();
